Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRGenericElementParameter

All Known Implementing Classes:
  JRBaseGenericElementParameter, JRDesignGenericElementParameter

    public interface JRGenericElementParameter

A generic report element parameter.

Version:
  $Id: JRGenericElementParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRGenericElement.getParameters()`

Method Summary
`java.lang.String` | `getName()` Returns the name of the parameter.
`JRExpression` | `getValueExpression()` Returns the expression that provides parameter values.
`boolean` | `isSkipWhenEmpty()` Decides whether the parameter is skipped when its value evaluates to `null`.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the parameter.

  The name will be propagated into the generic print element, as in `JRGenericPrintElement.setParameterValue(String, Object)`.

  Returns:
    the name of the parameter

### getValueExpression

    JRExpression getValueExpression()

  Returns the expression that provides parameter values.

  The result of the expression evaluation will be propagated into the generic print element as parameter value, as in `JRGenericPrintElement.setParameterValue(String, Object)`.

  Returns:
    the parameter's value expression

### isSkipWhenEmpty

    boolean isSkipWhenEmpty()

  Decides whether the parameter is skipped when its value evaluates to `null`.

  When the parameter's expression evaluates to `null` and this flag is set and , the parameter is not included in the generated print element. If the flag is not set, the parameter is included with a `null` value.

  Returns:
    whether the parameter is skipped when its value is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com